%define upstream_name    MooseX-Singleton
%define upstream_version 0.30

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Base class for MooseX::Singleton
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/MooseX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Module::Build::Tiny) >= 0.34.0
BuildRequires: perl(Module::Metadata)
BuildRequires: perl(Moose) >= 1.100.0
BuildRequires: perl(Moose::Exporter)
BuildRequires: perl(Moose::Role)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Requires)
BuildRequires: perl(Test::Warnings)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
A singleton is a class that has only one instance in an application.
'MooseX::Singleton' lets you easily upgrade (or downgrade, as it were) your
the Moose manpage class to a singleton.

All you should need to do to transform your class is to change 'use Moose'
to 'use MooseX::Singleton'. This module uses a new class metaclass and
instance metaclass, so if you're doing metamagic you may not be able to use
this.

'MooseX::Singleton' gives your class an 'instance' method that can be used
to get a handle on the singleton. It's actually just an alias for 'new'.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc CONTRIBUTING Changes INSTALL LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.300.0-5.mga10
+ Revision: 2204083
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.300.0-4.mga9
+ Revision: 1809823
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.300.0-3.mga8
+ Revision: 1505408
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.300.0-2.mga7
+ Revision: 1285085
- Mageia 7 Mass Rebuild

* Sat Jul 22 2017 shlomif <shlomif> 0.300.0-1.mga7
+ Revision: 1128817
- update to 0.30

* Sun Jun 19 2016 pterjan <pterjan> 0.290.0-7.mga6
+ Revision: 1030615
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 0.290.0-6.mga6
+ Revision: 932845
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.290.0-5.mga5
+ Revision: 750040
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.290.0-4.mga5
+ Revision: 685568
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.290.0-3.mga4
+ Revision: 513244
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.290.0-2.mga3
+ Revision: 370308
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 10 2011 kharec <kharec> 0.290.0-1.mga2
+ Revision: 180201
- update to 0.29

* Thu Dec 08 2011 kharec <kharec> 0.280.0-1.mga2
+ Revision: 179281
- Add BR on Test::NoWarnings
- update to 0.28

* Wed Jun 15 2011 jquelin <jquelin> 0.270.0-1.mga2
+ Revision: 107146
- update to 0.27

* Mon Feb 28 2011 jquelin <jquelin> 0.260.0-1.mga1
+ Revision: 61490
- update to 0.26

* Thu Jan 20 2011 jquelin <jquelin> 0.250.0-1.mga1
+ Revision: 26666
- mageia rebuild
- imported package perl-MooseX-Singleton

